Module: UniMIDI::Platform

Extended by:
Platform
Included in:
Platform
Defined in:
lib/unimidi/platform.rb

Overview

Deal with different dependencies between different user environments

Instance Method Summary collapse

Instance Method Details

#bootstrapObject

Loads the proper MIDI library and adapter for the user's environment


9
10
11
12
# File 'lib/unimidi/platform.rb', line 9

def bootstrap
  require("unimidi/adapter/#{platform_lib}")
  Loader.use(platform_module::Loader)
end